# --------------------------------------------------------------------------
#
# FishStepTest40c.py                                 Ulrich Mueller 21.11.06
#                                                    PCS1700    Python 2.2.3
# FishStep Testrahmen
#
# ---------------------------------------------------------------------------

from FishFa40 import *
import sys
  
print "FishStepTest gestartet"
ft = FishStep(((1,680),(3,500),(4,100)))
M1,M2,M3 = 1,2,3

def StepTest():
  print "Home M1 : I1"
  ft.StepHome(M1)
  print "Home M3 : I5"
  ft.StepHome(M3)
  print "StepTo M1,34"
  ft.StepTo(ft.PosPrintX, M1, 34)
  print "zuruck um 12"
  ft.StepDelta(None, M1, -12)
  print "StepTo M3,66"
  ft.StepTo(None, M3, 66)
  ft.Pause(555)
  print "Weiter um 22"
  ft.StepDelta(None, M3, 22)

def PlotTest():
  print "Home M1 : I1,I5"
  ft.PlotHome(M1)
  print "Nach 40,60"
  ft.PlotTo(ft.PosPrintXY, M1, 222, 222)
  print "Zuruck nach 40,10"
  while not ft.Finish():
    ft.PlotDelta(None, M1, -200, -100)
    ft.PlotDelta(None, M1,  200,  100)

def ShowPosX(PosX):
  if PosX%50 == 0: print "Aktuelle Position ist : ", PosX
  
try:
  ft.OpenInterface()
  print "PollInterval : ",ft.PollInterval
except FishFaceException:
  print "FishStep FEHLER"
  ft.CloseInterface()
  sys.exit(0)
  
print "Es geht LOS"

ft.StepHome(1)
ft.StepTo(None, 1, 50)
while not ft.Finish():
  ft.StepDelta(ShowPosX, 1,  250)
  ft.StepDelta(ShowPosX, 1, -250)

print "FishStepTest wird beendet"
ft.CloseInterface()

