# ---------- WaitMotorTest40c.py : fr FishFa30.py ----------------------------------------    
#  Taster an I1
#  Motor an M3 mit Impulstaster an I6, Endtaster an I5
#  Motor an M4 mit Impulstaster an I8, Endtaster an I7

from FishFa40 import *

print "------ FishFace : Wait- und Motor-Test ------"
ft = FishFace()
try:
  ft.OpenInterface(10,2)                    # --- Intelligent Interface an COM2

  print "WaitForChange : 3 x I7 druecken und loslassen"
  ft.WaitForChange(7, 6)
  print "WaitForInput : I1 druecken"
  ft.WaitForInput(1)
  print "WaitForHigh : I7 druecken"
  ft.WaitForHigh(7)
  print "WaitForLow : I1 druecken"
  ft.WaitForLow(1)
  print "WaitforPositionDown : 3x I7 druecken"
  Zahler = 6
  IstPos = ft.WaitForPositionDown(7,Zahler,0)
  print "IstPosition : ", IstPos
  print "WaitForPositionUp : mit Motorkraft 24 Impulse"
  ft.SetMotor(3, 1, 7)
  IstPos = ft.WaitForPositionUp(6, Zahler, 24)
  ft.SetMotor(3,0)
  print "IstPosition : ", IstPos
  print "Motor an M4 faehrt 50 links und Motor an M3 40 rechts"
  ft.SetMotor(4,ft.Links,5,50)
  ft.SetMotor(3,ft.Rechts,7,40)
  while (ft.WaitForMotors(100, [4, 3]) == ft.Time):
    print ft.GetCounter(6), ft.GetCounter(8)    
    ft.Pause(333)
  print ft.GetCounter(6), ft.GetCounter(8)    

except FishFaceException:
  print "FishFace Fehler"
print "------- FishFace beendet -------"
ft.CloseInterface()

